Bug 1346711 - gssd and svcgssd fail to set the libtirpc debug level after nfs-utils-1.3.0-0.28.el7
Summary: gssd and svcgssd fail to set the libtirpc debug level after nfs-utils-1.3.0-0...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 08:42 UTC by Yongcheng Yang
Modified: 2016-11-04 05:04 UTC (History)
1 user (show)

Fixed In Version: nfs-utils-1.3.0-0.30.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 05:04:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1273163 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Product Errata RHBA-2016:2383 0 normal SHIPPED_LIVE nfs-utils bug fix and enhancement update 2016-11-03 13:53:02 UTC

Internal Links: 1273163

Description Yongcheng Yang 2016-06-15 08:42:36 UTC
Description of problem:
Bug 1273163 has been fixed in nfs-utils-1.3.0-0.24.el7, which is to "Allow gssd and svcgssd to set the libtirpc debug level."
But it's failed again after nfs-utils-1.3.0-0.28.el7

Version-Release number of selected component (if applicable):
nfs-utils-1.3.0-0.28.el7

How reproducible:
100% easy

Steps to Reproduce:
1. rpc.gssd -rrr -vvv

Actual results:
rpc.gssd: Warning: rpcsec_gss library does not support setting debug level

Expected results:
Oct 19 15:24:34 hostname rpc.gssd[20483]: libtirpc: debug level 3

Additional info:
Test logs:
[root@ibm-x3550m4-02 ~]# rpm -q nfs-utils
nfs-utils-1.3.0-0.27.el7.x86_64
[root@ibm-x3550m4-02 ~]# >/var/log/messages
[root@ibm-x3550m4-02 ~]# rpc.gssd -rrr -vvv
[root@ibm-x3550m4-02 ~]# echo $?
0
[root@ibm-x3550m4-02 ~]# tail /var/log/messages
Jun 15 04:40:12 ibm-x3550m4-02 rpc.gssd[28394]: libtirpc: debug level 3
Jun 15 04:40:12 ibm-x3550m4-02 rpc.gssd[28395]: doing a full rescan
[root@ibm-x3550m4-02 ~]# 
[root@ibm-x3550m4-02 ~]# rpm -Uvh nfs-utils-1.3.0-0.28.el7.x86_64.rpm 
Preparing...                          ################################# [100%]
Updating / installing...
   1:nfs-utils-1:1.3.0-0.28.el7       ################################# [ 50%]
Cleaning up / removing...
   2:nfs-utils-1:1.3.0-0.27.el7       ################################# [100%]
[root@ibm-x3550m4-02 ~]# rpm -q nfs-utils
nfs-utils-1.3.0-0.28.el7.x86_64
[root@ibm-x3550m4-02 ~]# >/var/log/messages
[root@ibm-x3550m4-02 ~]# rpc.gssd -rrr -vvv
rpc.gssd: Warning: rpcsec_gss library does not support setting debug level

[root@ibm-x3550m4-02 ~]# echo $?
0
[root@ibm-x3550m4-02 ~]# tail /var/log/messages
Jun 15 04:40:59 ibm-x3550m4-02 rpc.gssd[28579]: Warning: rpcsec_gss library does not support setting debug level
Jun 15 04:40:59 ibm-x3550m4-02 rpc.gssd[28580]: doing a full rescan
[root@ibm-x3550m4-02 ~]#

Comment 4 Yongcheng Yang 2016-06-29 11:10:02 UTC
Move to VERIFIED as comment 2, and continue to run the automatic case in the future.

Comment 6 errata-xmlrpc 2016-11-04 05:04:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2383.html


Note You need to log in before you can comment on or make changes to this bug.